const express = require("express");
const path = require("path");

const app = express();
const PORT = 4002;
const DIR_CARDS = process.env.CARDS_PATH || path.join(__dirname, '../cards');
const DIR_MAP = process.env.MAP_PATH || path.join(__dirname, '../map');

// Раздача статических файлов из папки, указанной в DIR_CARDS
app.use('/cards', express.static(DIR_CARDS));

// Раздача статических файлов из папки, указанной в DIR_MAP
app.use('/map', express.static(DIR_MAP));

// Раздача других статических файлов из текущей папки
app.use(express.static(__dirname));

// Обработка 404 ошибки
app.use((req, res) => {
    res.sendFile(path.join(__dirname, "index.html"));
});

app.listen(PORT, () => {
    console.log(`Serving app on port ${PORT} ...`);
});